Skip to main content
POST
/
api
/
v1
/
auth
/
login
curl -X POST "https://api.bitcoinflash.xyz/api/v1/auth/login" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "john@example.com",
    "password": "password123"
  }'
{
  "success": true,
  "message": "Connexion réussie",
  "data": {
    "user": {
      "id": "a02c6d77-48fd-457d-810a-f895180a5be4",
      "name": "John Doe",
      "email": "john@example.com"
    },
    "token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9..."
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.bitcoinflash.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Request Body

email
string
required
Registered email address.
password
string
required
User password.

Response

success
boolean
true on successful login.
data.token
string
JWT Bearer token to use in subsequent requests.
data.user
object
Authenticated user details.
curl -X POST "https://api.bitcoinflash.xyz/api/v1/auth/login" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "john@example.com",
    "password": "password123"
  }'
{
  "success": true,
  "message": "Connexion réussie",
  "data": {
    "user": {
      "id": "a02c6d77-48fd-457d-810a-f895180a5be4",
      "name": "John Doe",
      "email": "john@example.com"
    },
    "token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9..."
  }
}